/* global angular, api_url */

angular.module("app").service("ModulosAccionesRolesService", [
    '$uhttp',
    function ($uhttp) {
        var controller = "modulos_acciones_roles/";
        // ----- POST -----
        this.inactivate = function (id) {
            return $uhttp({
                url: api_url + controller + 'inactivate',
                method: "POST",
                params: {id: id}
            });
        };
        this.create = function (data) {
            return $uhttp({
                url: api_url + controller + 'create',
                method: "POST",
                data: data
            });
        };
        this.inactivateMultiple = function (data) {
            return $uhttp({
                url: api_url + controller + 'inactivate_multiple',
                method: "POST",
                data: data
            });
        };
        this.createMultiple = function (data) {
            return $uhttp({
                url: api_url + controller + 'create_multiple',
                method: "POST",
                data: data
            });
        };
    }
]);